:root {
	--nasa-red: #e4002b;
	--nasa-blue: #0032A0;
	--hover-grey: #8f8d8d;
	--backgrond-grey: #373639
}

@font-face {font-family: EncodeSans; src: url('./fonts/EncodeSans.ttf');}

* {
	box-sizing: border-box;
}

.grid-container {
	display: grid;
	grid-template-areas:
	'topnav'
	'content'
	'footer'
}

.right-grid-layout {
	display: grid;
	grid-template-columns: 150px 1fr;
	gap: 15px;
	align: right;
}

.topnav {
	overflow: hidden;
	background-color: #373639;
}

.topnav ul {
	list-style-type: none;
}

.topnav a {
	float: left;
	color: #d9cec3;
	padding: 14px 16px;
	text-decoration: none;
	font-size: 1rem;
}

.topnav a:hover:not(.active) {
	background-color: #8f8d8d;
	color: #393639;
	font-weight: bold;
	text-decoration: none;
}

.topnav a.active {
	background-color: #e2780e;
	color: #373639;
	font-weight: bold;
}

.content body {
	background-color: #eaeae9;
	font-family: EncodeSans, sans-serif;
	font-size: 1.25rem;
	color: black;
	line-height: 1.6;
}

.content a:link {
	color: var(--nasa-blue);
	text-decoration: none;
}

.content a:visited {
	color: #8c4799;
	text-decoration: none;
}

a:hover {
	font-weight: bold;
	text-decoration: underline;
}

.content {
	grid-area: content;
}

.content h1 {
	text-align: center; 
	/*color: #2a42bb;*/
	margin-bottom: 15px;
	color: #0032A0;
	font-size: 3rem;
	font-family: Helvetica, EncodeSans, sans-serif;
}

.content h2 {
	text-align: left;
	margin-top: 20px;
	margin-bottom: 10px;
	margin-left: 15%;
	color: #e4002b;
	font-family: Helvetica, EncodeSans, sans-serif;
	font-size: 1.5rem;
	font-weight: bold;
}

.content p {
	text-align: left;
	margin-left: 15%;
	margin-right: 15%;
}

.content hr {
	margin-left: 15%;
	margin-right: 15%;
}

.content h3 {text-align: center; margin-top: -10px; font-weight: normal;}

.content table {
	border: 1px;
	width: 70%;
	margin-left: auto;
	margin-right: auto;
	font-size: 1.25rem;
}

.content caption {
	text-align: center;
	font-weight: bold;
	font-size: 1.75rem;
	color: var(--nasa-red);
}

.content th, td {padding: 10px;}

.content th {
	text-align: center;
	font-weight: bold;
}

.content td {
	text-align: left;
}

.content tr:hover {background-color: var(--hover-grey);}

footer {
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	/*background-color: #373639;
	color: #eaeae9;
	font-size: 1rem;*/
}

.footContainer {
	display: grid;
	grid-template-columns: 15% 70% 15%; /*repeat(auto-fit, minmax(200px,1fr));*/
	grid-gap: 10px;
	margin-bottom: -1em;
	background-color: #373639;
}

.footBox {
	color: #eaeae9;
	padding: 15px;
	font-size: 1rem;
	
}

.footerLink a:link {
	color: #e2780e;
	text-decoration: underline;
}

.footerLink a:visited {
	color: var(--hover-grey);
	text-decoration: underline;
}

.h-card {
	margin-right: 5%;
}

.webring a:link {
	color: #eaeae9;
	font-weight: 2rem;
	text-decoration: none;
}

.webring a:visited {
	color: #eaeae9;
	font-weight: 2rem;
	text-decoration: none;
}

.webring a:hover {
	color: #e2780e;
	font-weight: 2rem;
	text-decoration: underline;
}

